#pragma once
#include "Arduino.h"
#define WIFI_STA 0
#define WIFI_AP  1
#define WL_NO_SSID_AVAIL  1
#define WL_CONNECTED      3
#define WL_CONNECT_FAILED 4

extern int g_wifi_status;

struct WiFiClass {
    String macAddress() { return String("1C:C3:AB:D1:91:F8"); }
    int status() { return g_wifi_status; }
    void mode(int) {}
    void begin(const char*, const char*) {}
    void disconnect(bool) {}
    bool softAP(const char*) { return true; }
    String softAPIP() { return String("192.168.4.1"); }
    String localIP() { return String("192.168.1.100"); }
} WiFi;
